package com.bytedance.android.live.slot;

import X.AnonymousClass14O;
import X.AnonymousClass14R;
import X.AnonymousClass14S;
import X.AnonymousClass14T;
import X.AnonymousClass14Y;
import X.C265814e;
import X.C267714x;
import X.C267814y;
import X.C38221fQ;
import X.C39401hK;
import X.JRW;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;
import com.ss.ugc.live.sdk.message.data.IMessage;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class SlotServiceDummy implements ISlotService {
    static {
        Covode.recordClassIndex(10612);
    }

    public C38221fQ createIconSlotController(C39401hK r2, AnonymousClass14R r3, AnonymousClass14S r4, AnonymousClass14T r5) {
        return null;
    }

    public void dispatchMessage(IMessage iMessage) {
    }

    public C267714x getAggregateProviderByID(AnonymousClass14S r2) {
        M12.LIZ(r2);
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getBarrageWidget() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getBottomLeftSlotWidget() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getFrameL2SlotWidget() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getFrameL3SlotWidget() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getFrameSlotWidget() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getFreeFrameSlotWidget() {
        return null;
    }

    public AnonymousClass14Y getSlotMessagerByBiz(String str) {
        M12.LIZ(str);
        return null;
    }

    public boolean isBizTypeRegistered(String str) {
        return false;
    }

    public void onInit() {
    }

    public void registerAggregateSlot(C267714x r1) {
        M12.LIZ(r1);
    }

    public void registerSlot(C267814y r1) {
        M12.LIZ(r1);
    }

    public List<C265814e> getProviderWrappersByID(AnonymousClass14O r2) {
        M12.LIZ(r2);
        return new ArrayList();
    }

    public List<C265814e> getProviderWrappersByID(AnonymousClass14S r2) {
        M12.LIZ(r2);
        return new ArrayList();
    }

    public List<JRW> getLiveShareSheetAction(Map<String, Object> map, AnonymousClass14S r3) {
        return new ArrayList();
    }
}
